.image-detail-reveal {
  padding-top: 30px;
  padding-bottom: 30px;
  @media (min-width: 50em) {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}

.title-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  @media (max-width: 49.9375rem) {
    flex-direction: column;
    .button {
      margin-bottom: 20px;
    }
  }
}

.image-reveal-container {
  border-radius: 10px;
  overflow: hidden;
  position: relative;

  @media (min-width: 50em) {
    .cell:first-of-type & {
      margin-bottom: 30px;
    }
  }

  @media (max-width: 49.9375em) {
    min-height: 370px;
    .cell:not(:last-child) & {
      margin-bottom: 15px;
    }
  }

  h2,
  .h2,
  h3,
  .h3 {
    font-family: 'HelveticaNeue-Medium', sans-serif;
    font-weight: 500;
  }
  .border-copy p {
    @media (max-width: 49.9375em) {
      margin-bottom: 10px;
    }
  }
  p {
    font-weight: 400;
    @media (max-width: 49.9375em) {
      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }

  .image-container {
    position: relative;
    img {
      width: 100%;
      aspect-ratio: 10 / 5.8;
      object-fit: cover;
    }
    .button {
      position: absolute;
      top: 18px;
      right: 18px;
      padding: 9px 15px;
      padding-right: 10px;
      font-size: 15px;
      width: unset;
      transition: all 300ms ease;
      display: flex;
      background: var(--styrkr-orange);
      border-radius: 50px;
      svg {
        width: 20px;
        height: auto;
        fill: white;
        margin-left: 6px;
      }
      @media (max-width: 49.9375em) {
        top: 10px;
        right: 10px;
        padding: 8px 10px;
        z-index: 1;
        border-radius: 10px;
        span {
          display: none;
        }
        svg {
          margin-left: 0;
        }
      }
    }
  }
  .text-content {
    background: var(--cream);
    padding: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  .reveal-section {
    position: absolute;
    top: 25%;
    left: 0;
    width: 100%;
    height: 75%;
    transform: translateY(100%);
    overflow: hidden;
    transition: all 0.35s cubic-bezier(0.33333, 0, 0.66667, 0.33333);
    background: var(--cream);
    padding: 20px;
    @media (max-width: 49.9375em) {
      height: 100%;
      top: 0px;
      padding: 14px;
    }
    .border-copy {
      border-bottom: 2px solid var(--border-grey);
      margin-bottom: 15px;
      @media (max-width: 49.9375em) {
        margin-bottom: 10px;
        padding-bottom: 12px;
      }
    }
    .label-container {
      display: flex;
      flex-wrap: nowrap;
      gap: 10px;
      @media (max-width: 49.9375em) {
        gap: 8px;
        flex-direction: column;
      }
      .label {
        flex: 1;
        display: flex;
        flex-direction: column;
        font-size: 14px;
        text-align: center;
        align-items: center;
        @media (max-width: 49.9375em) {
          flex-direction: row;
          gap: 10px;
          text-align: left;
        }
        span {
          font-weight: 400;
          display: block;
          margin-bottom: 6px;
          @media (max-width: 49.9375em) {
            font-size: 12px;
            margin-bottom: 3px;
          }
        }
        p {
          font-weight: 400;
          opacity: 0.6;
          line-height: 1.2;
          @media (max-width: 49.9375em) {
            font-size: 12px;
            margin-bottom: 0;
          }
        }
        img {
          aspect-ratio: 1 / 1;
          object-fit: cover;
          width: 90px;
          margin-bottom: 8px;
          border-radius: 50% !important;
          @media (max-width: 49.9375em) {
            width: 40px;
          }
        }
      }
    }
  }
  input[type='checkbox']:not(:checked) ~ .image-container label {
    svg:first-of-type {
      display: block;
    }
    svg:last-of-type {
      display: none;
    }
  }
  input[type='checkbox']:checked ~ .image-container label {
    background: var(--black);
    svg:first-of-type {
      display: none;
    }
    svg:last-of-type {
      display: block;
    }
  }
  input[type='checkbox']:checked ~ .reveal-section {
    transform: translateY(0);
  }
}
